Subject: bug#38804: Samsung Chromebook 3

From: Brett Gilio <[email-masked]>
Date: Mon, 30 Dec 2019 02:20:25 +0000 (UTC)

Dec 29, 2019 8:03:39 PM Caleb Herbert :

> I tried running the Guix System installer on my Chromebook. I wanted to
> try replacing GalliumOS.
>
> Unsurprisingly, I get many errors do to proprietary firmware. My
> keyboard doesn't work, so I can't check what all the messages said, and
> I can go no further with the installation.
>
> Model
> Samsung Chromebook 3
>
> Hardware ID
> CELES
>
> Year
> 2016
>
> Processor
> Intel Braswell
>
> It's supported by GalliumOS, but there are multiple issues:
>
> CELES (Samsung Chromebook 3) This model has been problematic for many
> users, but it has also been perfectly successful for others, We haven't
> been able to find the differences that separate these two groups, so we
> do not recommend CELES. If you already own a CELES, and would like to
> try GalliumOS, give it a shot! You might be one of the lucky ones.
> However, if you are looking to purchase a Chromebook with the intention
> of running GalliumOS, we strongly suggest choosing a different model.
>
> https://wiki.galliumos.org/Hardware_Compatibility#cite_note-CELES-22
>

Hey Caleb,

Thanks for the report! I don't have much to say other than I suspect that this is going to have to be resolved by somebody reverse-engineering the proprietary components and releasing them as free software.

Maybe I am wrong though, so I will let somebody else take over from here. :)

Best!

-- 
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
< [email-masked] [mailto:[email-masked]] > < [email-masked] [mailto:[email-masked]] >